curl --request GET \
--url https://test.deribit.com/api/v2/public/get_trade_volumesimport requests
url = "https://test.deribit.com/api/v2/public/get_trade_volumes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://test.deribit.com/api/v2/public/get_trade_volumes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 6387,
"result": [
{
"puts_volume": 48,
"futures_volume": 6.25578452,
"currency": "BTC",
"calls_volume": 145,
"spot_volume": 11.1
},
{
"puts_volume": 122.65,
"futures_volume": 374.392173,
"currency": "ETH",
"calls_volume": 37.4,
"spot_volume": 57.7
}
]
}public/get_trade_volumes
Retrieves aggregated 24-hour trade volumes for different instrument types and currencies. The volume statistics include all executed trades across the platform.
Note: Position moves are not included in this volume. Block trades and Block RFQ trades are included in the volume calculations.
Use the extended parameter to include additional volume statistics and breakdowns.
Query Parameters
Request for extended statistics. Including also 7 and 30 days volumes (default false)
Response
Success response
The JSON-RPC version (2.0)
2.0 Hide child attributes
Hide child attributes
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR Total 24h trade volume for call options.
20.1
Total 24h trade volume for put options.
60.2
Total 24h trade volume for futures.
30.5178
Total 24h trade for spot.
11.6
Total 7d trade volume for call options.
75.6
Total 7d trade volume for put options.
356.9
Total 7d trade volume for futures.
213.8841
Total 7d trade for spot.
64.8
Total 30d trade volume for call options.
547.3
Total 30d trade volume for put options.
785.5
Total 30d trade volume for futures.
998.2128
Total 30d trade for spot.
310.5
The id that was sent in the request
Was this page helpful?